#include <stdio.h>

using namespace std;
void brtoniz(int a,int n[])
{
    int i=0;
    while(a>0)
    {
        n[i]=a%10;
        i++;
        a=a/10;
    }
}
int brcif(int n)
{
    int br=0;
    while(n>0)
    {
        br++;
        n/=10;
    }
    return br;
}
int main()

    int V,n[11],i,br=0;
    scanf("%d",&V);
    brtoniz(V,n);
    for(i=0;i<brcif(V);i++)
    {
        if(n[i]==1 || n[i]==2 || n[i]==5) br++;
         if(n[i]==3 || n[i]==4 || n[i]==6 || n[i]==7 ) br+=2;
         if (n[i]==8 || n[i]==9) br+=3;
         if(n[i]==0) br=br;
    }
        printf("%d",br);

    return 0;}